API ReferenceWorkflows
Get a workflow by id.
Get a workflow by id. - Rensei REST API operation reference.
GET
header
AuthorizationBearer <rsk_live_*>Rensei API key presented as Authorization: Bearer rsk_live_. Required API-key scopes are recorded per operation in x-rensei-required-scopes.
id*stringWorkflow id.
Workflow detail.
application/json- response
id*stringworkspaceId*stringname*stringdescription*string|nullstatus*stringnodes*array<unknown>edges*array<unknown>groups*array<unknown>providerRequirements*unknown|nullworkflowConfig*unknown|nulltriggerConfig*unknown|nullviewport*unknowndefinitionYaml*string|nullcreatedBy*stringcreatedAt*stringupdatedAt*stringpublishedAt*string|nullarchivedAt*string|nullprojectSlug*|Slug of the project that owns this workflow (workflows.project_id). Source of truth for slug-based deep links.
curl -X GET 'https://app.rensei.ai/api/workflows/string'Example Response
{ "id": "string", "workspaceId": "string", "name": "string", "description": "string", "status": "string", "nodes": [ null ], "edges": [ null ], "groups": [ null ], "providerRequirements": null, "workflowConfig": null, "triggerConfig": null, "viewport": null, "definitionYaml": "string", "createdBy": "string", "createdAt": "string", "updatedAt": "string", "publishedAt": "string", "archivedAt": "string", "projectSlug": "string"}